## net.i2p.router.web
Class NewsHelper

    java.lang.Object
      net.i2p.router.web.HelperBase
          net.i2p.router.web.ContentHelper
              net.i2p.router.web.NewsHelper

    public class NewsHelper

extends ContentHelper

If news file does not exist, use file from the initialNews directory in $I2P

Since:
  0.8.2

Field Summary

Fields inherited from class net.i2p.router.web.ContentHelper
`_page`

Fields inherited from class net.i2p.router.web.HelperBase
`_context, _out`

Constructor Summary
`NewsHelper()`

Method Summary
`String` `getContent()`

Methods inherited from class net.i2p.router.web.ContentHelper
`getTextContent, setLang, setMaxLines, setPage, setStartAtBeginning`

Methods inherited from class net.i2p.router.web.HelperBase
`_, _, _, _x, ngettext, setContextId, storeWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewsHelper

    public NewsHelper()

Method Detail

### getContent

    public String getContent()

  Overrides:
    `getContent` in class `ContentHelper`